package org.graphavik.api.annotations;

import java.lang.annotation.ElementType;
import java.lang.annotation.Inherited;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Annotation to mark class as mapped to edge of graph.
 * <p/>
 * Annotated class must have default constructor.
 *
 * @author Michail Nikolaev
 * @since <b>version 0.1</b> <i>created: 06.10.12</i>
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.TYPE)
@Inherited
public @interface RelationshipEntity {
}
